## org.eclipse.uml2.uml
Interface Pin

All Superinterfaces:
  ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, MultiplicityElement, NamedElement, org.eclipse.emf.common.notify.Notifier, ObjectNode, RedefinableElement, TypedElement

All Known Subinterfaces:
  ActionInputPin, InputPin, OutputPin, ValuePin

    public interface Pin

extends ObjectNode, MultiplicityElement

A representation of the model object 'Pin'. A pin is a typed element and multiplicity element that provides values to actions and accept result values from them. A pin is an object node for inputs and outputs to actions.

The following features are supported:

- `Is Control`

See Also:
  `UMLPackage.getPin()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`boolean` `isControl()` Returns the value of the 'Is Control' attribute.
`void` `setIsControl(boolean value)` Sets the value of the '`Is Control`' attribute
`boolean` `validateControlPins(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Control pins have a control type isControl implies isControlType

Methods inherited from interface org.eclipse.uml2.uml.ObjectNode
`createUpperBound, getInState, getInState, getInStates, getOrdering, getSelection, getUpperBound, isControlType, setIsControlType, setOrdering, setSelection, setUpperBound, validateInputOutputParameter, validateNotUnique, validateObjectFlowEdges, validateSelectionBehavior`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.uml2.uml.MultiplicityElement

`compatibleWith, createLowerValue, createUpperValue, getLower, getLowerValue, getUpper, getUpperValue, includesCardinality, includesMultiplicity, is, isMultivalued, isOrdered, isUnique, lowerBound, setIsOrdered, setIsUnique, setLower, setLowerValue, setUpper, setUpperValue, upperBound, validateLowerGe0, validateUpperGeLower, validateUpperGt0, validateValueSpecificationConstant, validateValueSpecificationNoSideEffects`

Method Detail

### isControl

    boolean isControl()

  Returns the value of the 'Is Control' attribute. The default value is `"false"`. Tells whether the pins provide data to the actions, or just controls when it executes it.

  Returns:
    the value of the 'Is Control' attribute.
  See Also:
    `setIsControl(boolean)`, `UMLPackage.getPin_IsControl()`

### setIsControl

    void setIsControl(boolean value)

  Sets the value of the '`Is Control`' attribute.

  Parameters:
    `value` - the new value of the 'Is Control' attribute.
  See Also:
    `isControl()`

### validateControlPins

    boolean validateControlPins(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                java.util.Map<java.lang.Object,java.lang.Object> context)

  Control pins have a control type isControl implies isControlType

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.